## sash-3.7.tar.bz2

=== Makefile ===
#
# Makefile for sash
#
# The HAVE_GZIP definition adds the -gzip and -gunzip commands.
# The HAVE_LINUX_ATTR definition adds the -chattr and -lsattr commands.
# The HAVE_LINUX_MOUNT definition makes -mount and -umount work on Linux.
# The HAVE_BSD_MOUNT definition makes -mount and -umount work on BSD.
# The MOUNT_TYPE definition sets the default file system type for -mount.
#
HAVE_GZIP		= 1
HAVE_LINUX_ATTR		= 1
HAVE_LINUX_MOUNT	= 1
HAVE_BSD_MOUNT		= 0
MOUNT_TYPE		= '"ext3"'

DEFS = -DHAVE_GZIP=$(HAVE_GZIP) \
	-DHAVE_LINUX_ATTR=$(HAVE_LINUX_ATTR) \
	-DHAVE_LINUX_MOUNT=$(HAVE_LINUX_MOUNT) \
	-DHAVE_BSD_MOUNT=$(HAVE_BSD_MOUNT) \
	-DMOUNT_TYPE=$(MOUNT_TYPE)
CFLAGS = -O3 -Wall -Wmissing-prototypes -g $(DEFS)

LDFLAGS = -static -s
LIBS = -lz


BINDIR = /bin
MANDIR = /usr/man/man1


OBJS = sash.o cmds.o cmd_dd.o cmd_ed.o cmd_grep.o cmd_ls.o cmd_tar.o \
	cmd_gzip.o cmd_find.o cmd_file.o cmd_chattr.o cmd_ar.o utils.o


sash:	$(OBJS)
	$(CC) $(LDFLAGS) -o sash $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) sash

install: sash
	cp sash $(BINDIR)/sash
	cp sash.1 $(MANDIR)/sash.1

%.o: %.c
	$(CC) $(CFLAGS) $(DEFS) -c $<

$(OBJS):	sash.h

=== debian/changelog ===
sash (3.7-7.2) unstable; urgency=low

  * NMU
  * Apparently CDBS decided to start overwriting the LDFLAGS setting, which
    made sash no longer statically linked. Work around this brain-damage.
    Closes: #403659

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Dec 2006 18:16:21 -0500

sash (3.7-7.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Rewrite templates to better fit the Developer's Reference recommendations
    This also Closes: #368750
  * Debconf translation updates:
    - Swedish added. Closes: #338776
    - French updated. Sent during the call for updates of the NMU campaign.
    - Vietnamese updated. Sent during the call for updates of the NMU campaign.
    - Dzongkha added. Sent during the call for updates of the NMU campaign.
    - German added. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Nov 2006 07:40:31 +0100

sash (3.7-7) unstable; urgency=low

  * Remove /usr/doc/sash symlink if it exists.  (closes: #322797)
  * Fix up debconf dependency, we want debconf | debconf-2.0

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  1 Sep 2005 07:52:20 +0200

sash (3.7-6) unstable; urgency=high

  * Tighten zlib build-deps to fix security issue (closes: #318069)
  * Add Czech debconf translation (closes: #294777)
  * Add Vietnamese debconf translation (closes: #317886)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Jul 2005 12:33:51 +0200

sash (3.7-5) unstable; urgency=low

  * Add Japanese debconf translation (closes: #290129)
  * Add German debconf translation (closes: #266357)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  5 Feb 2005 12:57:59 +0100

sash (3.7-4) unstable; urgency=low

  * Add French debconf translation (closes: #232979)
  * Add lintian override (closes: #235306)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  1 Apr 2004 03:42:48 +0200

sash (3.7-3) unstable; urgency=low

  * Use po-debconf.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 10 Feb 2004 03:12:41 +0100

sash (3.7-2) unstable; urgency=low

  * Fix versioned depends on passwd.  (closes: #229192)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 23 Jan 2004 17:57:59 +0100

sash (3.7-1) unstable; urgency=low

  * New upstream release
    - Fixes (closes: #227164)
  * Only ask about deleting sashroot account if it's actually
    created. (closes: #225341)
  * Ask about removing sashroot user in prerm instead of when
    installing. (closes: #227637)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 13 Jan 2004 00:41:55 +0100

sash (3.6-5) unstable; urgency=low

  * Remove -m call to useradd.  (closes: #225093)
  * Up standards-version.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 26 Dec 2003 22:57:29 +0100

sash (3.6-4) unstable; urgency=medium

  * Use chown root:shadow instead of root.shadow in sashconfig
    (closes: #217395)
  * Depend on passwd (>= 20000902-12) (closes: #219961)
  * Use debconf. (closes: #86208, #96566)
    - Thereby getting rid of sashconfig.  Yay.
  * Build-dep on e2fslibs-dev, since it seems like libc6 broke us. 
    (closes: #223203)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 17 Dec 2003 23:00:13 +0100

sash (3.6-3) unstable; urgency=low

  * .. and add build-deps for debhelper (closes: #216746)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 21 Oct 2003 21:19:54 +0200

sash (3.6-2) unstable; urgency=low

  * Add build-deps for cdbs (closes: #216499)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 19 Oct 2003 12:16:43 +0200

sash (3.6-1) unstable; urgency=low

  * Adopt package (closes: #215544)
  * New upstream release
  * Ack NMUs, (closes: #137947, #117065, #91634, #109027, #170081, #125332)
  * Redo packaging using CDBS.
  * Remove obsolete emacs vars in changelog.
  * Ignore -- in option list (closes: #95374)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 17 Oct 2003 13:17:02 +0200

sash (3.4-8.3) unstable; urgency=low

  * NMU
  * Trivial bugfix for #125332 (Closes: #125332)
  * debian/rules: must call dpkg-genchanges with -isp, otherwise it
    won't get into the binary package control files. (Closes: #170081)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Thu, 21 Nov 2002 13:38:31 -0500

sash (3.4-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-depend on a version of zlib without the
    double-free bug (closes: #137947).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Mar 2002 13:58:46 +0000

sash (3.4-8.1) unstable; urgency=low

  * NMU
  * Make unstable have at least the same rev as stable.  Changelog change only.

 -- LaMont Jones <lamont@debian.org>  Thu, 25 Oct 2001 09:42:55 -0600

sash (3.4-8) stable; urgency=low

  * control file cleanup

 -- Raul Miller <moth@debian.org>  Mon, 21 May 2001 10:42:50 -0400

sash (3.4-7) stable; urgency=low

  * incorporated workaround for dpkg breakage on /usr/doc -> /usr/share/doc
    (fixes #91634)
  * adopted adrian bunk's suggestions for build-depends (fixes #94329)
  * this version being new, will be newer than that in potato (fixes #97561)
  * no Section: problem was apparently caused by build tools -- a test build
    shows that 3.4-7 has Section: shells (fixes #84494)
  * not fixed: no debconf support yet.  I'm still considering legacy issues.
  * not fixed: support for -- as end of options indicator.  Meaningless,
    as sash takes no non-options arguments (it's not designed for scripts).

 -- Raul Miller <moth@debian.org>  Sat, 19 May 2001 19:36:52 -0400

sash (3.4-6) stable; urgency=medium

  * incorporated suggestion from Matt Zimmerman <mdz@debian.org>
    such that clone_root_as_sashroot is properly atomic, even
    for ownership and permissions.

 -- Raul Miller <moth@debian.org>  Wed, 17 Jan 2001 12:47:42 -0500

sash (3.4-5) stable; urgency=medium

  * fix up /etc/shadow to give group shadow read access

 -- Raul Miller <moth@debian.org>  Tue, 16 Jan 2001 11:47:27 -0500

sash (3.4-4) stable; urgency=high



=== debian/control ===
Source: sash
Section: shells
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.6.1
Build-Depends: zlib1g-dev (>= 1:1.2.2-7), cdbs, debhelper (>= 4.1.0), e2fslibs-dev, po-debconf

Package: sash
Architecture: any
Section: shells
Priority: optional
Depends: lockfile-progs, passwd (>= 1:4.0.3-10), ${shlibs:Depends}, ${misc:Depends}
Conflicts: fileutils (<<4.0-1)
Suggests: doc-debian
Description: Stand-alone shell
 sash serves as an interactive substitute for /bin/sh, for use when
 /bin/sh is unusable.  It's statically linked, and includes many standard
 utilities as builtins (type "help" at the prompt for a reference list).
 If you've installed sash before rendering your system unbootable, and
 you have some knowledge of how your system is supposed to work, you might
 be able to repair your system using init=/bin/sash at the boot prompt.
 .
 Some people also prefer to have sash available as the shell for a
 root account (perhaps an under an alternate name such as sashroot)
 Configuration support is included for people who want this.  
 .
 Note: sash is not intended to serve as /bin/sh, and has few of the
 interactive features present in bash or ksh.  It's designed to be simple
 and robust, for people who need to do emergency repair work on a system.
 .
 Also note: sash doesn't include a built-in fsck -- fsck is too big
 and complicated.  If you need fsck, you'll have to get at least one
 partition or disk working well enough to run fsck.  More generally,
 sash is but one tool of many (backups, backup recovery tools, emergency
 boot disks or partitions, spare parts, testing of disaster plans,
 etc.) to help you recover a damaged system.

=== debian/rules ===
#! /usr/bin/make -f

pkgdir := `pwd`/debian/sash

DEB_MAKE_INSTALL_TARGET=install BINDIR=$(pkgdir)/bin MANDIR=$(pkgdir)/usr/share/man/man1
# work around cdbs brain-damage
LDFLAGS=-static -s

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

binary-install/sash::
	mkdir -p $(pkgdir)/usr/share/lintian/overrides/
	install -m 0644 debian/lintian-overrides $(pkgdir)/usr/share/lintian/overrides/sash
